.coupons-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: 30px;
}

.coupons-item {
  width: 100%;
  height: auto;
}

.coupons-item .inner {
  width: 100%;
  height: auto;
  background: #fff;
  padding: 20px 10px;
  box-shadow: 1px 0 3px 0 rgba(0, 0, 0, 0.5);
}

.coupons-item .info {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.coupons-item .title {
  font-weight: bold;
  font-size: 16px;
}

.coupons-item .get-code span {
  display: inline-block;
  background: #278df2;
  color: #fff;
  padding: 5px 20px;
  font-weight: bold;
  border-radius: 60px;
}

.coupons-item .notice {
  margin-top: 10px;
}

.coupons-item .notice a {
  color: #ee2f36;
  font-weight: bold;
}

.coupons-page .pagination {
  margin-top: 20px;
}

@media screen and (max-width: 767px) {
  .coupons-list .image {
    width: 100%;
    height: auto;
    text-align: center;
  }

  .coupons-list .image {
    display: flex;
    justify-content: center;
  }

  .coupons-list .info {
    margin-top: 10px;
  }

  .coupons-item .get-code {
    text-align: center;
  }
}

@media screen and (min-width: 768px) {
  .coupons-item .inner {
    display: flex;
    align-items: center;
    gap: 30px;
  }

  .coupons-list .image {
    width: 250px;
    height: auto;
  }
}

@media screen and (min-width: 992px) {
  .coupons-list {
    gap: 25px;
  }

  .coupons-item .inner {
    padding: 30px;
  }

  .coupons-list .image {
    width: 300px;
    height: auto;
  }

  .coupons-item .info {
    gap: 15px;
  }

  .coupons-item .title {
    font-size: 20px;
  }

  .coupons-item .get-code span {
    padding: 8px 40px;
  }

  .coupons-page .pagination {
    margin-top: 20px;
  }
}
